# Class `luci.sys.net`

LuCI system utilities / network related functions.

## Functions

arptable () | Returns the current arp-table entries as two-dimensional table.
conntrack () | Returns conntrack information
deviceinfo () | Return information about available network interfaces.
devices () | Determine the names of available network interfaces.
host_hints () | Returns a two-dimensional table of host hints.
ipv4_hints () | Returns a two-dimensional table of IPv4 address hints.
ipv6_hints () | Returns a two-dimensional table of IPv6 address hints.
mac_hints () | Returns a two-dimensional table of mac address hints.
pingtest (host) | Tests whether the given host responds to ping probes.
routes () | Returns the current kernel routing table entries.
routes6 () | Returns the current ipv6 kernel routing table entries.

## Functions

arptable ()
  Returns the current arp-table entries as two-dimensional table.

  ### Return value:

  Table of table containing the current arp entries. The following fields are defined for arp entry objects: { "IP address", "HW address", "HW type", "Flags", "Mask", "Device" }
conntrack ()
  Returns conntrack information

  ### Return value:

  Table with the currently tracked IP connections
deviceinfo ()
  Return information about available network interfaces.

  ### Return value:

  Table containing all current interface names and their information
devices ()
  Determine the names of available network interfaces.

  ### Return value:

  Table containing all current interface names
host_hints ()
  Returns a two-dimensional table of host hints.

  ### Return value:

  Table of table containing known hosts from various sources, indexed by mac address. Each subtable contains at least one of the fields "name", "ipv4" or "ipv6".
ipv4_hints ()
  Returns a two-dimensional table of IPv4 address hints.

  ### Return value:

  Table of table containing known hosts from various sources. Each entry contains the values in the following order: [ "ip", "name" ]
ipv6_hints ()
  Returns a two-dimensional table of IPv6 address hints.

  ### Return value:

  Table of table containing known hosts from various sources. Each entry contains the values in the following order: [ "ip", "name" ]
mac_hints ()
  Returns a two-dimensional table of mac address hints.

  ### Return value:

  Table of table containing known hosts from various sources. Each entry contains the values in the following order: [ "mac", "name" ]
pingtest (host)
  Tests whether the given host responds to ping probes.

  ### Parameters

  - host: String containing a hostname or IPv4 address

  ### Return value:

  Number containing 0 on success and >= 1 on error
routes ()
  Returns the current kernel routing table entries.

  ### Return value:

  Table of tables with properties of the corresponding routes. The following fields are defined for route entry tables: { "dest", "gateway", "metric", "refcount", "usecount", "irtt", "flags", "device" }
routes6 ()
  Returns the current ipv6 kernel routing table entries.

  ### Return value:

  Table of tables with properties of the corresponding routes. The following fields are defined for route entry tables: { "source", "dest", "nexthop", "metric", "refcount", "usecount", "flags", "device" }